org.eclipse.jgit.treewalk.filter

## Class OrTreeFilter

- java.lang.Object
- - org.eclipse.jgit.treewalk.filter.TreeFilter
  - - org.eclipse.jgit.treewalk.filter.OrTreeFilter

    public abstract class OrTreeFilter
    extends TreeFilter

Includes a tree entry if any subfilters include the same tree entry.

Classic shortcut behavior is used, so evaluation of the `TreeFilter.include(TreeWalk)` method stops as soon as a true result is obtained. Applications can improve filtering performance by placing faster filters that are more likely to accept a result earlier in the list.

### Field Summary

### Fields inherited from class org.eclipse.jgit.treewalk.filter.TreeFilter

`ALL, ANY_DIFF`

### Constructor Summary

Constructors
Constructor and Description
`OrTreeFilter()`

### Method Summary

Methods
`static TreeFilter` `create(Collection<TreeFilter> list)` Create a filter around many filters, one of which must match.
`static TreeFilter` `create(TreeFilter[] list)` Create a filter around many filters, one of which must match.
`static TreeFilter` `create(TreeFilter a, TreeFilter b)` Create a filter with two filters, one of which must match.

### Methods inherited from class org.eclipse.jgit.treewalk.filter.TreeFilter

`clone, include, negate, shouldBeRecursive, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OrTreeFilter

    public OrTreeFilter()

### Method Detail

#### create

    public static TreeFilter create(TreeFilter a,
                    TreeFilter b)

Create a filter with two filters, one of which must match.

Parameters:
  `a` - first filter to test.
  `b` - second filter to test.
Returns:
  a filter that must match at least one input filter.

#### create

    public static TreeFilter create(TreeFilter[] list)

Create a filter around many filters, one of which must match.

Parameters:
  `list` - list of filters to match against. Must contain at least 2 filters.
Returns:
  a filter that must match at least one input filter.

#### create

    public static TreeFilter create(Collection<TreeFilter> list)

Create a filter around many filters, one of which must match.

Parameters:
  `list` - list of filters to match against. Must contain at least 2 filters.
Returns:
  a filter that must match at least one input filter.